.EnrichThresh2, .SpecThresh2 {
    display:none;
}

.button_section{
    justify-content: space-around;
    margin-left:5%;
    margin-top:2%;
}

.accordion {
    color: rgb(0, 0, 0);
    cursor: pointer;
    padding: 18px;
    width: 25%;
    text-align: center;
    border: 1px solid white;
    outline: none;
    transition: 0.4s;
    margin-top: .5%;
    margin-bottom: .5%;
    margin-left: 5%;
    font-size: 120%;
    background-color: rgb(209, 157, 240);
}

.accordion:hover {
    background-color: rgb(214, 141, 236);
}

#advanced_options_sub_panel{
    display:none;
}

#orthologDSBox {
    display:none;
}

.typeNameCol {
    width:200px;
}

.typeChosenCol {
    width:150px;
}

#typeObligationOption {
    display:none;
}

#fb_term_parent {
    display:none;
}

#fb_term_children{
    display:none;
}

#multiselect_expanded{
    display:none;
}
/* 
.silkDB_parameter{
    margin-left: 41.5%;
} */
/* 
.other_parameter{
    margin-left: 45%;
} */

#additionalThresholdingTable{
    align-content: center;
    max-width:90vw;
    margin-right: 5%;
    border-spacing: 2vw 0px;
}


#thresholdAdjustingTable{
    align-content: center; 
    margin:auto;
    /* margin-left:37% */
}

#thresholdAdjName, #thresholdAdjVal {
    width:50%
}

#from-to-to-span {
    width:100px
}

/* 
#microarrayTable{
    margin-left:20%
} */

#microarrayColName {
    width:25%
}

#microarrayColLowRange{
    width:10%
}

#MAlowRangeDT {
    padding-left: 10%;
}

#MAlowRangeP {
   margin-right:0%
}

/* #RNAseqTable {
    margin-left:20%
} */

#RNAseqlowRangeDT{
    padding-left: 6%
}

/* #moztubulesTable{
    margin-left:17%;
} */

#moztubNameCol{
    width:30%
}

#moztubSlider {
    width:35%
}

#moztubLowRangeDT {
    padding-left: 6%;
}
#moztubLowRangeDT {
    padding-left: 1%
}

#ParamHeader{
    margin-left: 4%;
}

/* #DIOPTtable{
    margin-left:20%
} */

.submit_button{
    color: rgb(0, 0, 0);
    cursor: pointer;
    padding: 18px;
    width: 25%;
    text-align: center;
    border: 1px solid white;
    outline: none;
    transition: 0.4s;
    margin-top: .5%;
    margin-bottom: .5%;
    margin-left: 5%;
    font-size: 120%;
    background-color: rgb(209, 157, 240);
}

.submit_button:hover {
    background-color: rgb(214, 141, 236);
}

.inactive{
    background-color:rgb(139, 136, 136);
    cursor:default;
}

.inactive:hover {
    background-color: rgb(139, 136, 136);
}

.active{
    background-color: rgb(131, 59, 153);
}

.panel {
    text-align: center;
    background-color: white;
    display: none;
    overflow: hidden;
}

p{
    text-align: center;
    margin-left: 15%;
    margin-right:15%;
    margin-bottom: 0;

}

.panel h3{
    text-align: center;
}

.form_section {
    text-align: center;
    background-color: white;
}

.rangeslider::before{
    content: "-10";
}

.rangeslider::after{
    content: "10";
}

.lowerrange{
    text-align: right;
}

.upperrange{
    text-align: left;
}

.errorlist, .manual_submission, .error_message{
    list-style: none;
    text-align: center;
}

.errorlist, .manual_submission, .error_message{
    margin-top: 3rem;
}

tr input{
    margin-left:5%
}
/* tr.standard_option>td , tr.hidable_option>td{
    padding-bottom: 5px;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 10px;
} */

.referenceUpload label {
    background-color: indigo;
    color: white;
    padding: 0.5rem;
    font-family: sans-serif;
    border-radius: 0.3rem;
    cursor: pointer;
    margin-top: 1rem;
}


form .data_heading{
    text-align: center;
    color: rgb(4, 16, 196);
    margin-top: 3rem;
}

.jp-multiselect{
    color:black;
    font-size: medium;
    align-content: center;
    margin-left: 30vw ;
}

.jp-multiselect select{
    height:150px;
    border: 1px solid rgb(0, 0, 0) 
}

.multiselect_title{
    margin-bottom: 10px;
    color: rgb(31, 101, 180);
}

.from-panel, .to-panel{
    text-align: center;
    height: 100%
}

.move-panel{
    margin-left: 10px;
    margin-right: 10px;
}

.move-panel button{
    width: 100%
}

.thresholds{
    margin-left: 5%;
    padding-bottom: 5px;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 10px;
}

.thresholds .detail{
    padding: 5px;
}


.removal_button{
    text-align:center;
    margin-left: 40vw;
    margin-top:3%;
    width:280px;
    padding: 18px;
    color: rgb(0, 0, 0);
    font-size: 120%;
    border: 1px solid white;
    cursor: pointer;
    background-color: rgb(218, 122, 197);
}

.removal_button:hover{
    background-color: rgb(219, 67, 186);
}

tr.invalid td:first-child{
    padding-bottom: 16px;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 15px;
    color: rgb(139, 136, 136);
    text-decoration: line-through;
}

tr.invalid td:nth-child(n+2){
    display: none;
}

tr.invalid td:nth-child(n+2):before{
    content: "";
}

.gut_switch{
    text-align:center;
    margin-left: 34%;
    display:block;
    width:280px;
    padding: 18px;
    color: rgb(0, 0, 0);
    font-size: 120%;
    border: 1px solid white;
    cursor: pointer;
    background-color: rgb(218, 122, 197);
}

.gut_switch:hover, .modification_button:hover{
    background-color: rgb(241, 110, 213);
    color: rgb(0, 0, 0);
    text-decoration: none;
}

.fca_extra_selection, .fb_selection{
    margin-left: 20vw;
    min-width: 1000px;
}

.fca-move-panel button{
    min-width:200px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-right: 50px;
    border: 1px solid white;
    background-color: rgb(243, 182, 230);
    cursor: pointer;
    text-align: center;
}

.fca-to-panel{
    margin-left:50px
}
.move-panel button {
    padding-top: 5px;
    padding-bottom: 5px;
    margin-top:8px;
    color:rgb(0, 0, 0);
    border: 1px solid white;
    background-color: rgb(243, 182, 230);
    cursor: pointer;
    text-align: center;
}

.fca-move-panel button:hover{
    background-color: rgb(241, 110, 213);
}

.dropdown-menu-autocompleted {
    max-height: 400px;
    overflow:auto;
    line-height: 1.42857143;
    z-index: 2;
    position: absolute;
    background-color: #fcfcfc;
    font-size: large;
    border-color: rgb(209, 157, 240);
    border-radius: 3px;
    border: 3px solid rgb(209, 157, 240);
    padding-left:0px;
    padding-right: 0px;
    padding-top: 5px;
    padding-bottom:5px;
}
.dropdown-menu-autocompleted>li>a {
    word-wrap: break-word;
    white-space: normal;
    display: block;
    border-color: rgb(209, 157, 240);
    border-width: 3px;
}

.dropdown-menu-autocompleted .active {
    background-color: rgb(243, 182, 230)
}

.form-control{
    border: 1px solid rgb(0, 0, 0);
    color:black;
    font-size: medium;
}

.fca_title{
    margin-right: 50px;
}

label{
display: inline-block;
margin-bottom: 0;
font-weight: 100;
}

input[type="range"]{
    min-width:25vw !important
}


input[type="radio"], input[type="checkbox"]{
    margin-left:20px;
    box-sizing: inherit;
}

.hidable_options input[type="checkbox"]{
    margin-left:30px
}

.hidable_options input[type="checkbox"]{
    margin-left:30px
}

.ds_select input[type="checkbox"]{
    margin-left:20px
}

.fb_term_info p{
    margin-left: 3%;
    margin-right: 3%;
    word-wrap: break-word;
}

.fb_term_info{
    width:90%
}

.manual_submission input{
    position:relative;
    display:inherit;
    margin-left:45%
}

.manual_submission label{
    color: rgb(4, 16, 196);
    font-size: large;
}


table{
    margin: 0 auto;
    margin-left:auto;
    margin-right:auto;
    align-content: center;
    white-space: nowrap;
    border-collapse:separate;
    border-spacing: 2vw 0px;
    display: table;
    /* width:100%;
    min-width:100%; */
    justify-content: center;
}

table td {
    margin-left:10px;
    width:fit-content;
    min-width:fit-content;
    padding-left: 3%;
    padding-right: 3%;

    white-space:nowrap;
}
/* 
.type_table, .choice_table {
    margin-left:42%
} */

.initial_sources { 
    /* margin-left:46% */
    max-width:40%;
    width:100px
}
.initial_scores{
    /* margin-left:35% */
    
}

input[type="range"] {
    display: flex;
    width: 100%;
  }

.slider {
    background: #fcfcfc;
    border-radius: 20px;
    display: flex;
    align-items: center;
    cursor: pointer;
    color: blueviolet;
    box-sizing: unset;
}

.scoreweighting-accordion, .datasource-accordion, .usrupload-accordion, .datasource-accordion-inactive{
    width: 50%;
    margin-left: 23%;
}

.usrupload-accordion{
    margin-bottom:2.5rem
}

.modification_button{
    text-align:center;
    vertical-align: middle;
    margin-top:2%;
    margin-bottom: 4%;
    padding-left: 2%;
    padding-right: 2%;
    color: rgb(0, 0, 0);
    font-size: 100%;
    border: 5px solid white;
    cursor: pointer;
    background-color: rgb(243, 182, 230);
}

/* .ds_specific_adv{
    margin-left: 27%;
    width:100%
} */

#id_text_input{
    height:400px;
    width:500px;
}

/* #generic_weight_slider_set{
    margin-left: 25%;
} */

.EnrichThresh2, .SpecThresh2 {
    display:none;
}

/* .silkDB_parameter{
    margin-left: 41.5%;
} */

#multiselect_base {
    display:block;
    margin-top:25px;
    margin-left: 25%;
    margin-right:20%;
    width:1000px;
}

#multiselect_expanded {
    margin-top:25px;
    margin-left: 25%;
    margin-right:20%;
    width:1000px;
}

#gutSwitchDIV {
    margin-bottom: 25px;
}

#smButton {
    margin-left:24%
}

#globOptionssub {
    display:none;
}

#EmailEntry {
    margin-left:0%
}

#summaryButtonSection {
    margin-left: 29vw;
}

#inactive-subpanel{
    display:none;
}

#id_user_email_address, #id_user_job_title{
    margin-left:33vw;
    width:500px;
}

#summaryUploadBUTTONS, #indivtissuechoiceBUTTONS, #genelistBUTTONS, #disambiguateBUTTONS{
    margin-left:26%;
}

.goibuilder{
    margin-left:37vw
}

.referencebuild{
    color: rgb(0, 0, 0);
    cursor: pointer;
    font-size: 120%;
    background-color: rgb(209, 157, 240);
    border: 1px solid white;
    padding:4%
}
#datasourcetable{
    /* width:100%; */
    /* table-layout: fixed; */
    padding:0%;
    border-spacing: 0;
}

tr.ds>td , tr.ds>td{
    padding:0%;
    border-spacing:5%;
}

/* .advanced_option{
    margin-left:10%
} */

.option_heading{
    margin-top:2rem;
    margin-bottom:0.5rem;
    display:block
}
.option_heading > td{
    font-weight: 900;
}

.fb_selection{
    margin-left:18vw
}

.tooltip-icon {
  position: relative;
  display: inline-block;
  cursor: help;
  margin-left: 4px;
  font-family: Arial, sans-serif;
  color:rgb(209, 157, 240) !important;
  font-size:1em;  
}

.tooltip-icon .custom-tooltip {
  display: none;
  position: absolute;
  top: 1.2em;
  left: 0;
  background: #f9f9f9;
  color: #333;
  border: 1px solid #ccc;
  padding: 0.75em;
  min-width: 40vw;
  font-size: 0.85em !important;
  line-height: 1.4;
  z-index: 9999;
  border-radius: 6px;
  white-space: normal;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);
}

.tooltip-icon:hover .custom-tooltip {
  display: block;
}

.custom-help-text-symbol{
  font-size:1.5em
}

